<app-fp-stock-exchange-modals></app-fp-stock-exchange-modals>
<div *ngIf="stockExchange?.stocksConnectionProblem">
  <h2>Waiting for connection with stock exchange</h2>
</div>
<div class="container" *ngIf="!stockExchange?.stocksConnectionProblem">
  <label class="col-4">
    Last updated {{gs?.stocks?.publicationDateMoment}}
  </label>
  <div class="row justify-content-md-center">
    <div class="col-6">
      <div class="col-md-auto">
        <h4>Stock Prices</h4>
      </div>
      <div class="col-md-auto">
        <table class="table table-hover">
          <thead>
          <th>Company</th>
          <th>Value</th>
          <th *ngIf="gs.activeUser">Actions</th>
          </thead>
          <tbody>
          <tr *ngFor="let singleStock of gs?.stocks?.items">
            <td title="{{singleStock?.name}}">{{singleStock?.code}}</td>
            <td>{{singleStock?.price}}</td>
            <td *ngIf="gs.activeUser && gs?.stocks?.globalStocks">
              <button class="btn btn-sm btn-primary" (click)="(gs?.stocks?.globalStocks[singleStock.code]['number'] > 0) && buyStocks(singleStock)"
                      [ngClass]="{'disabled': gs?.stocks?.globalStocks[singleStock.code]['number'] < 1}">
                Buy
              </button>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>

    <div class="col-6" *ngIf="gs.activeUser">
      <div class="col-md-auto">
        <h4>My wallet </h4>
      </div>
      <div class="col-md-auto">
        <table class="table table-hover table-bordered">
          <thead>
          <th>Company</th>
          <th>Unit price</th>
          <th>Amount</th>
          <th>Value</th>
          <th>Actions</th>
          </thead>
          <tbody>
          <tr *ngFor="let singleStock of gs?.activeUser?.stocksArray">
            <td title="{{singleStock?.name}}">{{singleStock?.code}}</td>
            <td>price</td>
            <td>{{singleStock?.number}}</td>
            <td>value</td>
            <td>
              <button class="btn btn-sm btn-success" (click)="sellStocks(singleStock)">
                Sell
              </button>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
      <div class="col-md-auto">
        Available money <strong>{{gs?.activeUser?.details?.wallet}} PLN </strong>
      </div>
    </div>
  </div>
  <div class="row justify-content-md-center">
    <div class="col-6" *ngIf="gs.activeUser && gs?.stocks?.globalStocks">
      <div class="col-md-auto">
        <h4>Number of stocks</h4>
      </div>
      <div class="col-md-auto">
        <table class="table table-hover table-bordered">
          <thead>
          <th>Company</th>
          <th>Value</th>
          <th>Available stocks</th>
          </thead>
          <tbody>
          <tr *ngFor="let singleStock of gs?.stocks?.items">
            <td>{{singleStock?.code}}</td>
            <td>{{singleStock?.price}}</td>
            <td>{{gs?.stocks?.globalStocks[singleStock.code]['number']}}</td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>